Public Member Functions | Public Attributes | Friends | List of all members
RagTime5ClusterManagerInternal::ClusterInformation Struct Reference

cluster information More...

## Public Member Functions
| ClusterInformation ()
| constructor More...

## Public Attributes
int | m_type
| the cluster type More...
int | m_fileType
| the cluster file type More...
librevenge::RVNGString | m_name
| the cluster name More...

## Friends
std::ostream & | operator<< (std::ostream &o, ClusterInformation const &info)
| operator<< More...

## Detailed Description

cluster information

## Constructor & Destructor Documentation

## ◆ ClusterInformation()

RagTime5ClusterManagerInternal::ClusterInformation::ClusterInformation | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ClusterInformation const & | info
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_fileType

int RagTime5ClusterManagerInternal::ClusterInformation::m_fileType

the cluster file type

Referenced by RagTime5ClusterManager::readClusterMainList().

## ◆ m_name

librevenge::RVNGString RagTime5ClusterManagerInternal::ClusterInformation::m_name

the cluster name

Referenced by RagTime5ClusterManager::readClusterMainList().

## ◆ m_type

int RagTime5ClusterManagerInternal::ClusterInformation::m_type

the cluster type

Referenced by RagTime5ClusterManager::readClusterMainList().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx